package serene.simple;

public class NumberNode extends Node {
  private final Long value;

  public NumberNode(Long v) {
    this.value = v;
  }

  @Override
  public Object eval(BaseScope scope) {
    return this.value;
  }

  @Override
  public String toString() {
    return String.format("%s", this.value);
  }
}
