package serene.simple.builtin;

import java.util.Collections;
import java.util.List;

import serene.simple.Node;


public abstract class AFn extends Node {

  private List<Object> args;

  public void setArguments() {
    this.args = Collections.EMPTY_LIST;
  }

  public void setArguments(List<Object> args) {
    this.args = args;
  }

  public List<Object> arguments() {
    return this.args;
  }

  public abstract String fnName();

  @Override
  public String toString() {
    return String.format("BuiltinFn<%s>", this.fnName());
  }
}
